> For the complete documentation index, see [llms.txt](https://developers.bluefleet.com.br/home/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.bluefleet.com.br/home/webhooks/etapas-dos-dashboards.md).

# Etapas dos Dashboards

### Etapas do Fluxo <a href="#etapas-do-fluxo" id="etapas-do-fluxo"></a>

**POST** `/steps`\
Esta requisição é disparada em todas as mudanças de etapa, nos fluxos de Mobilização, Manutenção Preventiva, Manutenção Corretiva e Sinistro.\
\
Exemplo: `https://www.seusite.com.br/webhooks/steps`

```json
{
    "createdAt": "2022-02-02",
    "step": {
        "workflowStepCode": "VehicleReady",
        "workflowStepName": "Pronto para entrega"
    },
    "contractItemRequest": {
        "contractItemRequestId": 1,
        "contractItemRequestReasonId": 1,
        "requestNumber": "LOCA-123123",
        "contractItem": {
            "contractId": 1,
            "contractItemId": 1,
            "documentNumber": "LOC-1234-12/24"
        },
        "contract": {
            "documentNumber": "CTO-1234",
            "customer": {
                "customerId": 1,
                "customerTypeId": 1,
                "registeredNumber": "01.234.567/0001-32",
                "tradingName": "NOME DO CLIENTE",
                "nationalId": 2
            },
            "contractId": 1
        },
        "externalCode": "CODIGO"
    },
    "vehicle": {
        "vehicleId": 1,
        "licensePlate": "ABC-1234",
        "informedOdometer": 123,
        "confirmedOdometer": 43345,
        "fipeCode": "008210-4",
        "model": "A4 1.8 Avant Turbo Mec."
    },
    "contractVehicle": {
        "contractVehicleId": 1,
        "contractId": 1,
        "documentNumber": "CTO-1234",
        "automakerId": 1,
        "automakerName": "GM",
        "vehicleModelId": 1,
        "fipeModelCode": "008210-4",
        "vehicleModelName": "A4 1.8 Avant Turbo Mec."
    },
    "contractVehiclePurchaseOrder": {
        "contractVehiclePurchaseOrder": 1
    }
}
```

As etapas das filas são identificadas pelos códigos a seguir:

#### **Mobilização**

| CÓDIGO                                | DESCRIÇÃO                  |
| ------------------------------------- | -------------------------- |
| WaitingPurchaseOrder                  | Aguardando Ordem de Compra |
| WaitingInvoice                        | Aguardando Nota Fiscal     |
| WaitingVehicleInput                   | Cadastro Básico            |
| WaitingAutomaker                      | Entrega Montadora          |
| WaitingLicensePlate                   | Emplacamento               |
| WaitingVehicleDocuments               | Documento Veículo          |
| WaitingVehicleAccessoriesInstallation | Instalação de Acessórios   |
| VehicleReady                          | Pronto para Entrega        |

#### **Manutenções e Sinistro**

| CÓDIGO               | DESCRIÇÃO                      |
| -------------------- | ------------------------------ |
| PreScheduling        | Pré-Agendamento                |
| ProviderDispatch     | Acionar Fornecedor             |
| ScheduleConfirmation | Confirmação de Agenda          |
| WaitingCheckin       | Aguardando Chegada             |
| WaitingQuoting       | Aguardando Orçamento           |
| QuotingAnalysis      | Orçamento em Análise           |
| OngoingServices      | Serviço em Execução            |
| WaitingCheckout      | Aguardando Saída               |
| WaitingVehiclePickup | Aguardando Retirada do Veículo |
| FinancialIssues      | Aguardando Nota Fiscal         |
| RequestDone          | Ocorrência Finalizada          |

#### **Infrações**

| CÓDIGO         | DESCRIÇÃO         |
| -------------- | ----------------- |
| FineReceived   | Infração Recebida |
| NotifyCustomer | Notificar Cliente |
| VehicleReturn  | Notificar Cliente |
| WaitingFine    | Aguardando Multa  |

#### **Carro Reserva**

| CÓDIGO           | DESCRIÇÃO              |
| ---------------- | ---------------------- |
| RentalPricing    | Locação                |
| VehiclePickup    | Aguardando Retirada    |
| VehicleReturn    | Aguardando Devolução   |
| TemporaryVehicle | Veículo Provisório     |
| FinancialIssues  | Aguardando Nota Fiscal |

#### **Desmobilização**

| CÓDIGO                         | DESCRIÇÃO               |
| ------------------------------ | ----------------------- |
| ContractVehicleReturn          | Aguardando Devolução    |
| ContractVehicleReturnChecklist | Checklist Devolução     |
| VehiclePreparation             | Preparação              |
| DamageSurvey                   | Levantamento de Avarias |
| Transportation                 | Translado               |
| AvailableForSale               | Disponível para Venda   |

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.bluefleet.com.br/home/webhooks/etapas-dos-dashboards.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
